Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url 'https://api.themoviedb.org/3/person/{{person_id}}/images' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/person/{{person_id}}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/person/{{person_id}}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 976,
"profiles": [
{
"aspect_ratio": 0.667,
"file_path": "/8FMhYekyLR4ibHQ9Kpuaqe4cVjL.jpg",
"height": 1310,
"iso_639_1": null,
"vote_average": 5.778,
"vote_count": 9,
"width": 874
},
{
"aspect_ratio": 0.667,
"file_path": "/whNwkEQYWLFJA8ij0WyOOAD5xhQ.jpg",
"height": 2100,
"iso_639_1": null,
"vote_average": 5.25,
"vote_count": 32,
"width": 1400
},
{
"aspect_ratio": 0.667,
"file_path": "/dqsoVOHWyK4YfxdY0odIyZxhuDB.jpg",
"height": 450,
"iso_639_1": null,
"vote_average": 4.722,
"vote_count": 18,
"width": 300
},
{
"aspect_ratio": 0.667,
"file_path": "/tI3QoB2KlvXoXM0rH3SVhmcUuxv.jpg",
"height": 3000,
"iso_639_1": null,
"vote_average": 2.542,
"vote_count": 4,
"width": 2000
},
{
"aspect_ratio": 0.667,
"file_path": "/t1Vl7F3QVaeF3UMkP99l3t1rXE9.jpg",
"height": 1200,
"iso_639_1": null,
"vote_average": 1.75,
"vote_count": 4,
"width": 800
},
{
"aspect_ratio": 0.667,
"file_path": "/dyTg1DxmBmTahRw4g0ImwseXS5H.jpg",
"height": 1416,
"iso_639_1": null,
"vote_average": 1.444,
"vote_count": 9,
"width": 944
},
{
"aspect_ratio": 0.667,
"file_path": "/fhKqW0oK4mAqb0E7zxitp9Eexft.jpg",
"height": 900,
"iso_639_1": null,
"vote_average": 1.434,
"vote_count": 5,
"width": 600
},
{
"aspect_ratio": 0.667,
"file_path": "/j4kVEIGLmpDU1OCGmtX95wbKAsL.jpg",
"height": 621,
"iso_639_1": null,
"vote_average": 0,
"vote_count": 0,
"width": 414
},
{
"aspect_ratio": 0.667,
"file_path": "/yvg3ghmy3rcyInChuzL6wXQqQno.jpg",
"height": 1200,
"iso_639_1": null,
"vote_average": 0,
"vote_count": 0,
"width": 800
}
]
}This endpoint retrieves profile images that belong to a person.
There are two image formats that are supported for companies: PNG’s and SVG’s. For more information about how SVG’s and PNG’s can be used, take a read through this document.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This represents the person ID.
Images
976
Show child attributes
[
{
"aspect_ratio": 0.667,
"file_path": "/8FMhYekyLR4ibHQ9Kpuaqe4cVjL.jpg",
"height": 1310,
"iso_639_1": null,
"vote_average": 5.778,
"vote_count": 9,
"width": 874
},
{
"aspect_ratio": 0.667,
"file_path": "/whNwkEQYWLFJA8ij0WyOOAD5xhQ.jpg",
"height": 2100,
"iso_639_1": null,
"vote_average": 5.25,
"vote_count": 32,
"width": 1400
},
{
"aspect_ratio": 0.667,
"file_path": "/dqsoVOHWyK4YfxdY0odIyZxhuDB.jpg",
"height": 450,
"iso_639_1": null,
"vote_average": 4.722,
"vote_count": 18,
"width": 300
},
{
"aspect_ratio": 0.667,
"file_path": "/tI3QoB2KlvXoXM0rH3SVhmcUuxv.jpg",
"height": 3000,
"iso_639_1": null,
"vote_average": 2.542,
"vote_count": 4,
"width": 2000
},
{
"aspect_ratio": 0.667,
"file_path": "/t1Vl7F3QVaeF3UMkP99l3t1rXE9.jpg",
"height": 1200,
"iso_639_1": null,
"vote_average": 1.75,
"vote_count": 4,
"width": 800
},
{
"aspect_ratio": 0.667,
"file_path": "/dyTg1DxmBmTahRw4g0ImwseXS5H.jpg",
"height": 1416,
"iso_639_1": null,
"vote_average": 1.444,
"vote_count": 9,
"width": 944
},
{
"aspect_ratio": 0.667,
"file_path": "/fhKqW0oK4mAqb0E7zxitp9Eexft.jpg",
"height": 900,
"iso_639_1": null,
"vote_average": 1.434,
"vote_count": 5,
"width": 600
},
{
"aspect_ratio": 0.667,
"file_path": "/j4kVEIGLmpDU1OCGmtX95wbKAsL.jpg",
"height": 621,
"iso_639_1": null,
"vote_average": 0,
"vote_count": 0,
"width": 414
},
{
"aspect_ratio": 0.667,
"file_path": "/yvg3ghmy3rcyInChuzL6wXQqQno.jpg",
"height": 1200,
"iso_639_1": null,
"vote_average": 0,
"vote_count": 0,
"width": 800
}
]